;; activate debugging
(setq debug-on-error t
      debug-on-signal nil
      debug-on-quit nil)

;; add latest org-mode to load path
(add-to-list 'load-path (expand-file-name "~/.emacs.d/org-mode/lisp"))
(require 'org)

(defun foo ()
  project-plist)

(setq org-publish-project-alist
      '(("org"
	 :base-directory "~/bar"
	 :base-extension "org"
	 :publishing-directory "~/bar"
	 :publishing-function org-html-publish-to-html
	 :preparation-function foo)))

(org-publish-project "org")
